Skip to main content
GET
/
connectors
/
brands
/
offer-statistics
Gets consumers offer statistics for each brand.
curl --request GET \
  --url https://api.sandbox.paylead.tech/connectors/brands/offer-statistics \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.sandbox.paylead.tech/connectors/brands/offer-statistics"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.sandbox.paylead.tech/connectors/brands/offer-statistics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "items": [
    {
      "name": "<string>",
      "id": "e2c32b4b-de61-459b-accf-a75f76247946",
      "logo": {
        "content_type": "<string>",
        "id": "e2c32b4b-de61-459b-accf-a75f76247946",
        "links": {
          "download": "<string>",
          "preview": "<string>"
        },
        "name": "<string>",
        "owner": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
      },
      "offers": [
        {
          "type": "CASHBACK",
          "active": 123,
          "max_discount_rate": 123,
          "published": 123
        }
      ],
      "universes": [
        {
          "id": "e2c32b4b-de61-459b-accf-a75f76247946",
          "name": "<string>"
        }
      ]
    }
  ],
  "meta": {
    "page": 123,
    "per_page": 123,
    "total": 123
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

id
string<uuid>

Filter by id

Unique ID of the object.

maximum_reward_rate
number

Filter by maximum_reward_rate

name
string

Filter by name

Name of the object

offer__source_transaction
boolean

Filter by offer__source_transaction

offer__type
enum<string>

Type of the offer

Available options:
CASHBACK,
UNIQUE_COUPON,
GENERIC_COUPON,
VOUCHER,
AFFILIATION,
LBS_CASHBACK
page
integer

the page number

Required range: x >= 1
per_page
integer

the number of elements per page

Required range: 1 <= x <= 100
sort
enum<string>

Sort by given attribute

Available options:
name,
id,
maximum_reward_rate,
universe__name,
universe__id,
offer__type,
offer__source_transaction,
-name,
-id,
-maximum_reward_rate,
-universe__name,
-universe__id,
-offer__type,
-offer__source_transaction
universe__id
string<uuid>

Filter by universe__id

universe__name
string

Filter by universe__name

Response

OK

items
object[]
meta
object